package com.madeu.service.web.webtreatmentpetit;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebTreatmentPetitService {
    public HashMap<String, Object> selectListWebTreatmentPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebTreatmentPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebTreatmentPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebTreatmentPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebTreatmentPetit(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    
    public HashMap<String, Object> updateWebTreatmentPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebTreatmentPetit(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    public HashMap<String, Object> deleteWebTreatmentPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListTreatmentOption(HashMap<String, Object> paramMap) throws Exception;
}
